Bug 6225 - [CTDB] Various enhancements to ctdb.init
[CTDB] Various enhancements to ctdb.init
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
unspecified
Other Linux
: P3 enhancement
: ---
Assigned To: Michael Adam
Michael Adam
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 17:07 UTC by Mathieu Parent
Modified: 2016-08-09 22:19 UTC (History)
3 users (show)

See Also:


Attachments
Allow distribution specific PERSISTENT_DB_DIR (861 bytes, patch)
2009-03-26 17:08 UTC, Mathieu Parent
no flags Details
Redirect output to stderr (672 bytes, patch)
2009-03-26 17:08 UTC, Mathieu Parent
no flags Details
DONE: Remove bashism: "&> word" should be ">word 2>&1" (912 bytes, patch)
2009-03-26 17:08 UTC, Mathieu Parent
no flags Details
Renamed functions 'start' by 'start_server' for better readability (1.54 KB, patch)
2009-03-26 17:09 UTC, Mathieu Parent
no flags Details
Replace the deprecated and bash-only $"string" syntax by eval_gettext (2.07 KB, patch)
2009-03-26 17:09 UTC, Mathieu Parent
no flags Details
set PATH to have consistent behavior and test if daemon is here (817 bytes, patch)
2009-03-26 17:10 UTC, Mathieu Parent
no flags Details
Added debian-like LSB functions (1.46 KB, patch)
2009-03-26 17:10 UTC, Mathieu Parent
no flags Details
Add function 'running' (666 bytes, patch)
2009-03-26 17:11 UTC, Mathieu Parent
no flags Details
Use ctdb ping to check status (649 bytes, patch)
2009-03-26 17:11 UTC, Mathieu Parent
no flags Details
First try to cleanly stop ctdb before killing it (752 bytes, patch)
2009-03-26 17:11 UTC, Mathieu Parent
no flags Details
Show progress during start/stop/restart/... (3.72 KB, patch)
2009-03-26 17:12 UTC, Mathieu Parent
no flags Details
Threat warnings as errors (584 bytes, patch)
2009-03-26 17:12 UTC, Mathieu Parent
no flags Details
Return value is 1 in "status" when ctdb is not running (706 bytes, patch)
2009-03-26 17:12 UTC, Mathieu Parent
no flags Details
Use start_server instead of restart_server iwth cron (718 bytes, patch)
2009-03-26 17:15 UTC, Mathieu Parent
no flags Details
Be more verbose with the cron command (1.06 KB, patch)
2009-03-26 17:15 UTC, Mathieu Parent
no flags Details
Replaced ubuntu by debian, as ubuntu is debian-based. (3.12 KB, patch)
2009-03-26 17:36 UTC, Mathieu Parent
no flags Details
Current version (1.0.87) (7.55 KB, patch)
2009-07-17 16:14 UTC, Mathieu Parent
no flags Details
Allow distribution specific PERSISTENT_DB_DIR (855 bytes, patch)
2009-12-18 05:01 UTC, Mathieu Parent
math.parent: review?
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Parent 2009-03-26 17:07:01 UTC
I will attach patches
Comment 1 Mathieu Parent 2009-03-26 17:08:11 UTC
Created attachment 4015 [details]
Allow distribution specific PERSISTENT_DB_DIR
Comment 2 Mathieu Parent 2009-03-26 17:08:39 UTC
Created attachment 4016 [details]
Redirect output to stderr
Comment 3 Mathieu Parent 2009-03-26 17:08:54 UTC
Created attachment 4017 [details]
DONE: Remove bashism: "&> word" should be ">word 2>&1"
Comment 4 Mathieu Parent 2009-03-26 17:09:39 UTC
Created attachment 4018 [details]
Renamed functions 'start' by 'start_server' for better readability

Renamed functions 'start', 'stop' and 'restart' by 'start_server',
 'stop_server' and 'restart_server' for better readability
Comment 5 Mathieu Parent 2009-03-26 17:09:57 UTC
Created attachment 4019 [details]
Replace the deprecated and bash-only $"string" syntax by eval_gettext
Comment 6 Mathieu Parent 2009-03-26 17:10:22 UTC
Created attachment 4020 [details]
set PATH to have consistent behavior and test if daemon is here

- set PATH to have consistent behavior
- test if daemon is here
Comment 7 Mathieu Parent 2009-03-26 17:10:41 UTC
Created attachment 4021 [details]
Added debian-like LSB functions
Comment 8 Mathieu Parent 2009-03-26 17:11:08 UTC
Created attachment 4022 [details]
Add function 'running'
Comment 9 Mathieu Parent 2009-03-26 17:11:33 UTC
Created attachment 4023 [details]
Use ctdb ping to check status
Comment 10 Mathieu Parent 2009-03-26 17:11:54 UTC
Created attachment 4024 [details]
First try to cleanly stop ctdb before killing it
Comment 11 Mathieu Parent 2009-03-26 17:12:13 UTC
Created attachment 4025 [details]
Show progress during start/stop/restart/...
Comment 12 Mathieu Parent 2009-03-26 17:12:30 UTC
Created attachment 4026 [details]
Threat warnings as errors
Comment 13 Mathieu Parent 2009-03-26 17:12:47 UTC
Created attachment 4027 [details]
Return value is 1 in "status" when ctdb is not running
Comment 14 Mathieu Parent 2009-03-26 17:15:01 UTC
Created attachment 4028 [details]
Use start_server instead of restart_server iwth cron
Comment 15 Mathieu Parent 2009-03-26 17:15:19 UTC
Created attachment 4029 [details]
Be more verbose with the cron command
Comment 16 Mathieu Parent 2009-03-26 17:36:38 UTC
Created attachment 4030 [details]
Replaced ubuntu by debian, as ubuntu is debian-based.

Replaced ubuntu by debian, as ubuntu is debian-based.
Comment 17 Mathieu Parent 2009-07-17 16:14:32 UTC
Created attachment 4441 [details]
Current version (1.0.87)

This patch include:
- PERSISTENT_DB_DIR for debian and ubuntu
- LSB support
- pure gettext (without bashism)
- code refactorisation
Comment 18 Michael Adam 2009-09-15 06:45:38 UTC
(In reply to comment #16)
> Created an attachment (id=4030) [details]
> Replaced ubuntu by debian, as ubuntu is debian-based.
> 
> Replaced ubuntu by debian, as ubuntu is debian-based.

Oops I have meanwhile committed a corresponding patch myself.
Somehow I wasn't aware that you proposed a patch here.
This will be in 1.0.91.
Comment 19 Michael Adam 2009-09-15 07:05:04 UTC
Ok, this is quite a list... =)
I don't expect all of the patches to still apply.
I will try and look into these soon...

Michael
Comment 20 Mathieu Parent 2009-12-18 05:01:24 UTC
Created attachment 5102 [details]
Allow distribution specific PERSISTENT_DB_DIR
Comment 21 Mathieu Parent 2009-12-18 05:08:52 UTC
Comment on attachment 4017 [details]
DONE: Remove bashism: "&> word" should be ">word 2>&1"

Att 4017 has already been done at http://git.samba.org/?p=sahlberg/ctdb.git;a=commitdiff;h=951dbcb29fd53cf51a08958efe185db4954d24f3
Comment 22 Martin Schwenke 2016-08-06 10:10:09 UTC
All of this was written with much of the functionality going into ctdbd_wrapper.  Haven't heard any complaints about initscript in recent times.

OK to close this after all this time?  :-)
Comment 23 Martin Schwenke 2016-08-09 22:19:09 UTC
Fixed in all currently supported versions.